config.status 20 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653
  1. #! /bin/sh
  2. # Generated automatically by configure.
  3. # Run this file to recreate the current configuration.
  4. # Compiler output produced by configure, useful for debugging
  5. # configure, is in config.log if it exists.
  6. debug=false
  7. SHELL=${CONFIG_SHELL-/bin/sh}
  8. ac_cs_invocation="$0 $@"
  9. # Be Bourne compatible
  10. if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  11. emulate sh
  12. NULLCMD=:
  13. elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
  14. set -o posix
  15. fi
  16. # Name of the executable.
  17. as_me=`echo "$0" |sed 's,.*[\\/],,'`
  18. if expr a : '\(a\)' >/dev/null 2>&1; then
  19. as_expr=expr
  20. else
  21. as_expr=false
  22. fi
  23. rm -f conf$$ conf$$.exe conf$$.file
  24. echo >conf$$.file
  25. if ln -s conf$$.file conf$$ 2>/dev/null; then
  26. # We could just check for DJGPP; but this test a) works b) is more generic
  27. # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
  28. if test -f conf$$.exe; then
  29. # Don't use ln at all; we don't have any links
  30. as_ln_s='cp -p'
  31. else
  32. as_ln_s='ln -s'
  33. fi
  34. elif ln conf$$.file conf$$ 2>/dev/null; then
  35. as_ln_s=ln
  36. else
  37. as_ln_s='cp -p'
  38. fi
  39. rm -f conf$$ conf$$.exe conf$$.file
  40. as_executable_p="test -f"
  41. # Support unset when possible.
  42. if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
  43. as_unset=unset
  44. else
  45. as_unset=false
  46. fi
  47. # NLS nuisances.
  48. $as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
  49. $as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; }
  50. $as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export LC_TIME; }
  51. $as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export LC_CTYPE; }
  52. $as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export LANGUAGE; }
  53. $as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C; export LC_COLLATE; }
  54. $as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C; export LC_NUMERIC; }
  55. $as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C; export LC_MESSAGES; }
  56. # IFS
  57. # We need space, tab and new line, in precisely that order.
  58. as_nl='
  59. '
  60. IFS=" $as_nl"
  61. # CDPATH.
  62. $as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }
  63. exec 6>&1
  64. config_files=" libftdi-config Makefile src/Makefile libftdi.pc"
  65. config_headers=" config.h"
  66. config_commands=" default-1 default"
  67. ac_cs_usage="\
  68. \`$as_me' instantiates files from templates according to the
  69. current configuration.
  70. Usage: $0 [OPTIONS] [FILE]...
  71. -h, --help print this help, then exit
  72. -V, --version print version number, then exit
  73. -d, --debug don't remove temporary files
  74. --recheck update $as_me by reconfiguring in the same conditions
  75. --file=FILE[:TEMPLATE]
  76. instantiate the configuration file FILE
  77. --header=FILE[:TEMPLATE]
  78. instantiate the configuration header FILE
  79. Configuration files:
  80. $config_files
  81. Configuration headers:
  82. $config_headers
  83. Configuration commands:
  84. $config_commands
  85. Report bugs to <bug-autoconf@gnu.org>."
  86. ac_cs_version="\
  87. config.status
  88. configured by ./configure, generated by GNU Autoconf 2.52,
  89. with options \" 'CPPFLAGS=-I/usr/local/include -I/opt/local/include' LDFLAGS=-L/opt/local/lib\"
  90. Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
  91. Free Software Foundation, Inc.
  92. This config.status script is free software; the Free Software Foundation
  93. gives unlimited permission to copy, distribute and modify it."
  94. srcdir=.
  95. INSTALL="/usr/bin/install -c"
  96. # If no file are specified by the user, then we need to provide default
  97. # value. By we need to know if files were specified by the user.
  98. ac_need_defaults=:
  99. while test $# != 0
  100. do
  101. case $1 in
  102. --*=*)
  103. ac_option=`expr "x$1" : 'x\([^=]*\)='`
  104. ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
  105. shift
  106. set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
  107. shift
  108. ;;
  109. -*);;
  110. *) # This is not an option, so the user has probably given explicit
  111. # arguments.
  112. ac_need_defaults=false;;
  113. esac
  114. case $1 in
  115. # Handling of the options.
  116. -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
  117. echo "running /bin/sh ./configure " 'CPPFLAGS=-I/usr/local/include -I/opt/local/include' LDFLAGS=-L/opt/local/lib " --no-create --no-recursion"
  118. exec /bin/sh ./configure 'CPPFLAGS=-I/usr/local/include -I/opt/local/include' LDFLAGS=-L/opt/local/lib --no-create --no-recursion ;;
  119. --version | --vers* | -V )
  120. echo "$ac_cs_version"; exit 0 ;;
  121. --he | --h)
  122. # Conflict between --help and --header
  123. { { echo "$as_me:7555: error: ambiguous option: $1
  124. Try \`$0 --help' for more information." >&5
  125. echo "$as_me: error: ambiguous option: $1
  126. Try \`$0 --help' for more information." >&2;}
  127. { (exit 1); exit 1; }; };;
  128. --help | --hel | -h )
  129. echo "$ac_cs_usage"; exit 0 ;;
  130. --debug | --d* | -d )
  131. debug=: ;;
  132. --file | --fil | --fi | --f )
  133. shift
  134. CONFIG_FILES="$CONFIG_FILES $1"
  135. ac_need_defaults=false;;
  136. --header | --heade | --head | --hea )
  137. shift
  138. CONFIG_HEADERS="$CONFIG_HEADERS $1"
  139. ac_need_defaults=false;;
  140. # This is an error.
  141. -*) { { echo "$as_me:7574: error: unrecognized option: $1
  142. Try \`$0 --help' for more information." >&5
  143. echo "$as_me: error: unrecognized option: $1
  144. Try \`$0 --help' for more information." >&2;}
  145. { (exit 1); exit 1; }; } ;;
  146. *) ac_config_targets="$ac_config_targets $1" ;;
  147. esac
  148. shift
  149. done
  150. exec 5>>config.log
  151. cat >&5 << _ACEOF
  152. ## ----------------------- ##
  153. ## Running config.status. ##
  154. ## ----------------------- ##
  155. This file was extended by $as_me 2.52, executed with
  156. CONFIG_FILES = $CONFIG_FILES
  157. CONFIG_HEADERS = $CONFIG_HEADERS
  158. CONFIG_LINKS = $CONFIG_LINKS
  159. CONFIG_COMMANDS = $CONFIG_COMMANDS
  160. > $ac_cs_invocation
  161. on `(hostname || uname -n) 2>/dev/null | sed 1q`
  162. _ACEOF
  163. #
  164. # INIT-COMMANDS section.
  165. #
  166. for ac_config_target in $ac_config_targets
  167. do
  168. case "$ac_config_target" in
  169. # Handling of arguments.
  170. "libftdi-config" ) CONFIG_FILES="$CONFIG_FILES libftdi-config" ;;
  171. "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
  172. "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
  173. "libftdi.pc" ) CONFIG_FILES="$CONFIG_FILES libftdi.pc" ;;
  174. "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
  175. "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
  176. "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
  177. *) { { echo "$as_me:7623: error: invalid argument: $ac_config_target" >&5
  178. echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
  179. { (exit 1); exit 1; }; };;
  180. esac
  181. done
  182. # If the user did not use the arguments to specify the items to instantiate,
  183. # then the envvar interface is used. Set only those that are not.
  184. # We use the long form for the default assignment because of an extremely
  185. # bizarre bug on SunOS 4.1.3.
  186. if $ac_need_defaults; then
  187. test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  188. test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
  189. test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
  190. fi
  191. # Create a temporary directory, and hook for its removal unless debugging.
  192. $debug ||
  193. {
  194. trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
  195. trap '{ (exit 1); exit 1; }' 1 2 13 15
  196. }
  197. # Create a (secure) tmp directory for tmp files.
  198. : ${TMPDIR=/tmp}
  199. {
  200. tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
  201. test -n "$tmp" && test -d "$tmp"
  202. } ||
  203. {
  204. tmp=$TMPDIR/cs$$-$RANDOM
  205. (umask 077 && mkdir $tmp)
  206. } ||
  207. {
  208. echo "$me: cannot create a temporary directory in $TMPDIR" >&2
  209. { (exit 1); exit 1; }
  210. }
  211. #
  212. # CONFIG_FILES section.
  213. #
  214. # No need to generate the scripts if there are no CONFIG_FILES.
  215. # This happens for instance when ./config.status config.h
  216. if test -n "$CONFIG_FILES"; then
  217. # Protect against being on the right side of a sed subst in config.status.
  218. sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
  219. s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
  220. s,@SHELL@,/bin/sh,;t t
  221. s,@exec_prefix@,${prefix},;t t
  222. s,@prefix@,/usr/local,;t t
  223. s,@program_transform_name@,s,x,x,,;t t
  224. s,@bindir@,${exec_prefix}/bin,;t t
  225. s,@sbindir@,${exec_prefix}/sbin,;t t
  226. s,@libexecdir@,${exec_prefix}/libexec,;t t
  227. s,@datadir@,${prefix}/share,;t t
  228. s,@sysconfdir@,${prefix}/etc,;t t
  229. s,@sharedstatedir@,${prefix}/com,;t t
  230. s,@localstatedir@,${prefix}/var,;t t
  231. s,@libdir@,${exec_prefix}/lib,;t t
  232. s,@includedir@,${prefix}/include,;t t
  233. s,@oldincludedir@,/usr/include,;t t
  234. s,@infodir@,${prefix}/info,;t t
  235. s,@mandir@,${prefix}/man,;t t
  236. s,@PACKAGE_NAME@,,;t t
  237. s,@PACKAGE_TARNAME@,,;t t
  238. s,@PACKAGE_VERSION@,,;t t
  239. s,@PACKAGE_STRING@,,;t t
  240. s,@PACKAGE_BUGREPORT@,,;t t
  241. s,@build_alias@,,;t t
  242. s,@host_alias@,,;t t
  243. s,@target_alias@,,;t t
  244. s,@ECHO_C@,,;t t
  245. s,@ECHO_N@,-n,;t t
  246. s,@ECHO_T@,,;t t
  247. s,@PATH_SEPARATOR@,:,;t t
  248. s,@DEFS@,-DHAVE_CONFIG_H,;t t
  249. s,@LIBS@, -L/opt/local/lib -lusb -Wl,-framework -Wl,IOKit -Wl,-framework -Wl,CoreFoundation -Wl,-prebind,;t t
  250. s,@INSTALL_PROGRAM@,${INSTALL},;t t
  251. s,@INSTALL_SCRIPT@,${INSTALL},;t t
  252. s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
  253. s,@PACKAGE@,libftdi,;t t
  254. s,@VERSION@,0.7,;t t
  255. s,@ACLOCAL@,aclocal,;t t
  256. s,@AUTOCONF@,autoconf,;t t
  257. s,@AUTOMAKE@,automake,;t t
  258. s,@AUTOHEADER@,autoheader,;t t
  259. s,@MAKEINFO@,makeinfo,;t t
  260. s,@SET_MAKE@,,;t t
  261. s,@CC@,gcc,;t t
  262. s,@CFLAGS@,-g -O2 ,;t t
  263. s,@LDFLAGS@,-L/opt/local/lib,;t t
  264. s,@CPPFLAGS@,-I/usr/local/include -I/opt/local/include,;t t
  265. s,@ac_ct_CC@,gcc,;t t
  266. s,@EXEEXT@,,;t t
  267. s,@OBJEXT@,o,;t t
  268. s,@build@,i386-apple-darwin9.6.0,;t t
  269. s,@build_cpu@,i386,;t t
  270. s,@build_vendor@,apple,;t t
  271. s,@build_os@,darwin9.6.0,;t t
  272. s,@host@,i386-apple-darwin9.6.0,;t t
  273. s,@host_cpu@,i386,;t t
  274. s,@host_vendor@,apple,;t t
  275. s,@host_os@,darwin9.6.0,;t t
  276. s,@LN_S@,ln -s,;t t
  277. s,@ECHO@,echo,;t t
  278. s,@RANLIB@,ranlib,;t t
  279. s,@ac_ct_RANLIB@,ranlib,;t t
  280. s,@STRIP@,strip,;t t
  281. s,@ac_ct_STRIP@,strip,;t t
  282. s,@CPP@,gcc -E,;t t
  283. s,@LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t
  284. s,@HAVELIBUSB@,/opt/local/bin/libusb-config,;t t
  285. CEOF
  286. # Split the substitutions into bite-sized pieces for seds with
  287. # small command number limits, like on Digital OSF/1 and HP-UX.
  288. ac_max_sed_lines=48
  289. ac_sed_frag=1 # Number of current file.
  290. ac_beg=1 # First line for current file.
  291. ac_end=$ac_max_sed_lines # Line after last line for current file.
  292. ac_more_lines=:
  293. ac_sed_cmds=
  294. while $ac_more_lines; do
  295. if test $ac_beg -gt 1; then
  296. sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  297. else
  298. sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
  299. fi
  300. if test ! -s $tmp/subs.frag; then
  301. ac_more_lines=false
  302. else
  303. # The purpose of the label and of the branching condition is to
  304. # speed up the sed processing (if there are no `@' at all, there
  305. # is no need to browse any of the substitutions).
  306. # These are the two extra sed commands mentioned above.
  307. (echo ':t
  308. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
  309. if test -z "$ac_sed_cmds"; then
  310. ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
  311. else
  312. ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
  313. fi
  314. ac_sed_frag=`expr $ac_sed_frag + 1`
  315. ac_beg=$ac_end
  316. ac_end=`expr $ac_end + $ac_max_sed_lines`
  317. fi
  318. done
  319. if test -z "$ac_sed_cmds"; then
  320. ac_sed_cmds=cat
  321. fi
  322. fi # test -n "$CONFIG_FILES"
  323. for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
  324. # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  325. case $ac_file in
  326. - | *:- | *:-:* ) # input from stdin
  327. cat >$tmp/stdin
  328. ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  329. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  330. *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  331. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  332. * ) ac_file_in=$ac_file.in ;;
  333. esac
  334. # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
  335. ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  336. X"$ac_file" : 'X\(//\)[^/]' \| \
  337. X"$ac_file" : 'X\(//\)$' \| \
  338. X"$ac_file" : 'X\(/\)' \| \
  339. . : '\(.\)' 2>/dev/null ||
  340. echo X"$ac_file" |
  341. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  342. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  343. /^X\(\/\/\)$/{ s//\1/; q; }
  344. /^X\(\/\).*/{ s//\1/; q; }
  345. s/.*/./; q'`
  346. if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
  347. { case "$ac_dir" in
  348. [\\/]* | ?:[\\/]* ) as_incr_dir=;;
  349. *) as_incr_dir=.;;
  350. esac
  351. as_dummy="$ac_dir"
  352. for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
  353. case $as_mkdir_dir in
  354. # Skip DOS drivespec
  355. ?:) as_incr_dir=$as_mkdir_dir ;;
  356. *)
  357. as_incr_dir=$as_incr_dir/$as_mkdir_dir
  358. test -d "$as_incr_dir" || mkdir "$as_incr_dir"
  359. ;;
  360. esac
  361. done; }
  362. ac_dir_suffix="/`echo $ac_dir|sed 's,^\./,,'`"
  363. # A "../" for each directory in $ac_dir_suffix.
  364. ac_dots=`echo "$ac_dir_suffix" | sed 's,/[^/]*,../,g'`
  365. else
  366. ac_dir_suffix= ac_dots=
  367. fi
  368. case $srcdir in
  369. .) ac_srcdir=.
  370. if test -z "$ac_dots"; then
  371. ac_top_srcdir=.
  372. else
  373. ac_top_srcdir=`echo $ac_dots | sed 's,/$,,'`
  374. fi ;;
  375. [\\/]* | ?:[\\/]* )
  376. ac_srcdir=$srcdir$ac_dir_suffix;
  377. ac_top_srcdir=$srcdir ;;
  378. *) # Relative path.
  379. ac_srcdir=$ac_dots$srcdir$ac_dir_suffix
  380. ac_top_srcdir=$ac_dots$srcdir ;;
  381. esac
  382. case $INSTALL in
  383. [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
  384. *) ac_INSTALL=$ac_dots$INSTALL ;;
  385. esac
  386. if test x"$ac_file" != x-; then
  387. { echo "$as_me:7854: creating $ac_file" >&5
  388. echo "$as_me: creating $ac_file" >&6;}
  389. rm -f "$ac_file"
  390. fi
  391. # Let's still pretend it is `configure' which instantiates (i.e., don't
  392. # use $as_me), people would be surprised to read:
  393. # /* config.h. Generated automatically by config.status. */
  394. configure_input="Generated automatically from `echo $ac_file_in |
  395. sed 's,.*/,,'` by configure."
  396. # First look for the input files in the build tree, otherwise in the
  397. # src tree.
  398. ac_file_inputs=`IFS=:
  399. for f in $ac_file_in; do
  400. case $f in
  401. -) echo $tmp/stdin ;;
  402. [\\/$]*)
  403. # Absolute (can't be DOS-style, as IFS=:)
  404. test -f "$f" || { { echo "$as_me:7872: error: cannot find input file: $f" >&5
  405. echo "$as_me: error: cannot find input file: $f" >&2;}
  406. { (exit 1); exit 1; }; }
  407. echo $f;;
  408. *) # Relative
  409. if test -f "$f"; then
  410. # Build tree
  411. echo $f
  412. elif test -f "$srcdir/$f"; then
  413. # Source tree
  414. echo $srcdir/$f
  415. else
  416. # /dev/null tree
  417. { { echo "$as_me:7885: error: cannot find input file: $f" >&5
  418. echo "$as_me: error: cannot find input file: $f" >&2;}
  419. { (exit 1); exit 1; }; }
  420. fi;;
  421. esac
  422. done` || { (exit 1); exit 1; }
  423. sed "/^[ ]*VPATH[ ]*=/{
  424. s/:*\$(srcdir):*/:/;
  425. s/:*\${srcdir}:*/:/;
  426. s/:*@srcdir@:*/:/;
  427. s/^\([^=]*=[ ]*\):*/\1/;
  428. s/:*$//;
  429. s/^[^=]*=[ ]*$//;
  430. }
  431. :t
  432. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
  433. s,@configure_input@,$configure_input,;t t
  434. s,@srcdir@,$ac_srcdir,;t t
  435. s,@top_srcdir@,$ac_top_srcdir,;t t
  436. s,@INSTALL@,$ac_INSTALL,;t t
  437. " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
  438. rm -f $tmp/stdin
  439. if test x"$ac_file" != x-; then
  440. mv $tmp/out $ac_file
  441. else
  442. cat $tmp/out
  443. rm -f $tmp/out
  444. fi
  445. done
  446. #
  447. # CONFIG_HEADER section.
  448. #
  449. # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
  450. # NAME is the cpp macro being defined and VALUE is the value it is being given.
  451. #
  452. # ac_d sets the value in "#define NAME VALUE" lines.
  453. ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
  454. ac_dB='[ ].*$,\1#\2'
  455. ac_dC=' '
  456. ac_dD=',;t'
  457. # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
  458. ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
  459. ac_uB='$,\1#\2define\3'
  460. ac_uC=' '
  461. ac_uD=',;t'
  462. for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
  463. # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  464. case $ac_file in
  465. - | *:- | *:-:* ) # input from stdin
  466. cat >$tmp/stdin
  467. ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  468. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  469. *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
  470. ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  471. * ) ac_file_in=$ac_file.in ;;
  472. esac
  473. test x"$ac_file" != x- && { echo "$as_me:7946: creating $ac_file" >&5
  474. echo "$as_me: creating $ac_file" >&6;}
  475. # First look for the input files in the build tree, otherwise in the
  476. # src tree.
  477. ac_file_inputs=`IFS=:
  478. for f in $ac_file_in; do
  479. case $f in
  480. -) echo $tmp/stdin ;;
  481. [\\/$]*)
  482. # Absolute (can't be DOS-style, as IFS=:)
  483. test -f "$f" || { { echo "$as_me:7957: error: cannot find input file: $f" >&5
  484. echo "$as_me: error: cannot find input file: $f" >&2;}
  485. { (exit 1); exit 1; }; }
  486. echo $f;;
  487. *) # Relative
  488. if test -f "$f"; then
  489. # Build tree
  490. echo $f
  491. elif test -f "$srcdir/$f"; then
  492. # Source tree
  493. echo $srcdir/$f
  494. else
  495. # /dev/null tree
  496. { { echo "$as_me:7970: error: cannot find input file: $f" >&5
  497. echo "$as_me: error: cannot find input file: $f" >&2;}
  498. { (exit 1); exit 1; }; }
  499. fi;;
  500. esac
  501. done` || { (exit 1); exit 1; }
  502. # Remove the trailing spaces.
  503. sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
  504. # Handle all the #define templates only if necessary.
  505. if egrep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
  506. # If there are no defines, we may have an empty if/fi
  507. :
  508. cat >$tmp/defines.sed <<CEOF
  509. /^[ ]*#[ ]*define/!b
  510. t clr
  511. : clr
  512. ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"libftdi"${ac_dD}
  513. ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.7"${ac_dD}
  514. ${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
  515. CEOF
  516. sed -f $tmp/defines.sed $tmp/in >$tmp/out
  517. rm -f $tmp/in
  518. mv $tmp/out $tmp/in
  519. fi # egrep
  520. # Handle all the #undef templates
  521. cat >$tmp/undefs.sed <<CEOF
  522. /^[ ]*#[ ]*undef/!b
  523. t clr
  524. : clr
  525. ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"libftdi"${ac_uD}
  526. ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.7"${ac_uD}
  527. ${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
  528. s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
  529. CEOF
  530. sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  531. rm -f $tmp/in
  532. mv $tmp/out $tmp/in
  533. # Let's still pretend it is `configure' which instantiates (i.e., don't
  534. # use $as_me), people would be surprised to read:
  535. # /* config.h. Generated automatically by config.status. */
  536. if test x"$ac_file" = x-; then
  537. echo "/* Generated automatically by configure. */" >$tmp/config.h
  538. else
  539. echo "/* $ac_file. Generated automatically by configure. */" >$tmp/config.h
  540. fi
  541. cat $tmp/in >>$tmp/config.h
  542. rm -f $tmp/in
  543. if test x"$ac_file" != x-; then
  544. if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
  545. { echo "$as_me:8087: $ac_file is unchanged" >&5
  546. echo "$as_me: $ac_file is unchanged" >&6;}
  547. else
  548. ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  549. X"$ac_file" : 'X\(//\)[^/]' \| \
  550. X"$ac_file" : 'X\(//\)$' \| \
  551. X"$ac_file" : 'X\(/\)' \| \
  552. . : '\(.\)' 2>/dev/null ||
  553. echo X"$ac_file" |
  554. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  555. /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  556. /^X\(\/\/\)$/{ s//\1/; q; }
  557. /^X\(\/\).*/{ s//\1/; q; }
  558. s/.*/./; q'`
  559. if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
  560. { case "$ac_dir" in
  561. [\\/]* | ?:[\\/]* ) as_incr_dir=;;
  562. *) as_incr_dir=.;;
  563. esac
  564. as_dummy="$ac_dir"
  565. for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
  566. case $as_mkdir_dir in
  567. # Skip DOS drivespec
  568. ?:) as_incr_dir=$as_mkdir_dir ;;
  569. *)
  570. as_incr_dir=$as_incr_dir/$as_mkdir_dir
  571. test -d "$as_incr_dir" || mkdir "$as_incr_dir"
  572. ;;
  573. esac
  574. done; }
  575. fi
  576. rm -f $ac_file
  577. mv $tmp/config.h $ac_file
  578. fi
  579. else
  580. cat $tmp/config.h
  581. rm -f $tmp/config.h
  582. fi
  583. done
  584. #
  585. # CONFIG_COMMANDS section.
  586. #
  587. for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
  588. ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
  589. ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
  590. case $ac_dest in
  591. default-1 ) test -z "$CONFIG_HEADERS" || echo timestamp > stamp-h ;;
  592. default ) chmod a+x libftdi-config ;;
  593. esac
  594. done
  595. { (exit 0); exit 0; }